{"openapi":"3.0.1","info":{"title":"3D Container Tile API HFT","version":"1.0.0","description":"This definition describes our API for 3D-Tiles, provided in regional collections.\n\nOur API conforms to the \"3d-Container-API\" structure as described here:\n\n[https://portal.ogc.org/files/?artifact_id=94028](https://portal.ogc.org/files/?artifact_id=94028)\n\nPlease note: We currently don't support bounding box queries for collections.\n"},"servers":[{"description":"Server","url":"https://boxofcare.de/3DContainerTile/"}],"paths":{"/":{"get":{"summary":"Landing page of this API","description":"The landing page provides a link to our collections and to our API definition.\n","operationId":"getLandingPage","responses":{"200":{"description":"links to the API capabilities","content":{"application/json":{"schema":{"$ref":"#/components/schemas/landingPage"}},"text/html":{"schema":{"type":"string"}}}}}}},"/collections":{"get":{"summary":"Overview of provided 3D Containers.","description":"Collections (= 3D-Containers) are datasets for certain regions. Each collection has an outer bounding box.\n\nExample: collection of 3D-Tiles for HftCampus has bounding box [9.1686843081,48.779004965,9.175336684,48.7822869656].\n","operationId":"describe3DContainers","responses":{"200":{"description":"Metadata about the 3D Containers shared by this API.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/collections"}},"text/html":{"schema":{"type":"string"}}}}}}},"/collections/{3dContainerID}":{"get":{"summary":"Retrieve the 3d-container for the specified id (e.g. \"HftCampus/tileset.json\"). Optionally pass bounding box query param (not yet implemented!)\n","operationId":"describeContainer","parameters":[{"$ref":"#/components/parameters/3dContainerID"}],"responses":{"200":{"description":"Metadata about the {3dContainerID} 3D Container shared by this API.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/3dcontainer"}},"text/html":{"schema":{"type":"string"}}}},"400":{"description":"Error if collection with given container-id not found.","content":{"text/html":{"schema":{"type":"string","example":"<html>\n  <head><title>400 Bad Request</title></head>\n  <body>\n    <center><h1>400 Bad Request</h1></center>\n    <hr><center>nginx/1.19.3</center>\n  </body>\n</html>\n"}}}},"404":{"description":"Error if collection with given container-id not found.","content":{"text/html":{"schema":{"type":"string","example":"<html>\n  <head><title>404 Not Found</title></head>\n  <body>\n    <center><h1>404 Not Found</h1></center>\n    <hr><center>nginx/1.19.3</center>\n  </body>\n</html>\n"}}}}}}}},"components":{"parameters":{"bbox":{"name":"bbox","in":"query","description":"NOT YET IMPLEMENTED!\n\nOnly features that have a geometry that intersects the bounding box are selected.\nThe bounding box is provided as four numbers:\n\n- Lower left corner, coordinate axis 1\n- Lower left corner, coordinate axis 2\n- Upper right corner, coordinate axis 1\n- Upper right corner, coordinate axis 2\n\nThe coordinate reference system of the values is WGS84 longitude/latitude (http://www.opengis.net/def/crs/OGC/1.3/CRS84).\n\nFor WGS84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).\n\nIf a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.\n","required":false,"schema":{"type":"array","minItems":4,"maxItems":4,"items":{"type":"number","format":"double"}},"style":"form","explode":false},"3dContainerID":{"name":"3dContainerID","in":"path","required":true,"description":"Identifier (name) of a specific 3D Container, e.g. try \"HftCampus/tileset.json\"","schema":{"type":"string"},"examples":{"HftCampus_clamped_to_ground_separate_faces_LOD1":{"value":"HftCampus/ClampedToGround_SeparateFaces_LOD1/tileset.json"},"HftCampus_clamped_to_ground_separate_faces_LOD2":{"value":"HftCampus/ClampedToGround_SeparateFaces_LOD2/tileset.json"}}}},"schemas":{"landingPage":{"title":"Landing Page","description":"JSON schema for landing page","type":"object","required":["title","links"],"properties":{"title":{"description":"The title of the API","type":"string","example":"3D-Container-API"},"description":{"description":"A textual description of the API","type":"string","example":"The 3D Data Container and Tiles Pilot and associated component implementations to design, implement, and test a 2D/3D environment that allows smooth integration of both 2D tiled and 3D tiled geospatial data.\n"},"links":{"description":"Links to the resources exposed through this API.","type":"array","items":{"$ref":"#/components/schemas/link"}}},"example":{"tile":"Some 3D Container/API","description":"This is the best API for 3D Containers!","links":[{"href":"http://data.example.org/","rel":"service-desc","type":"application/json","title":"Service Description"},{"href":"http://data.example.org/collections","rel":"data","type":"application/json","title":"Collections"}]}},"link":{"title":"Link","type":"object","description":"Link to content","required":["href","rel"],"properties":{"href":{"type":"string"},"title":{"type":"string"},"rel":{"$ref":"#/components/schemas/rel"},"type":{"$ref":"#/components/schemas/type"},"hreflang":{"type":"string","example":"en"}},"example":{"title":"3dtiles","href":"URL","rel":"original","type":"application/json+3dtiles","hreflang":"en"}},"extent":{"description":"The extent of the collection. It is recommended that the spatial extent is expected in CRS84.\n","type":"object","properties":{"spatial":{"$ref":"#/components/schemas/spatialExtent"}}},"spatialExtent":{"description":"The spatial extent of the element in the collection.\n","type":"object","required":["bbox"],"properties":{"bbox":{"$ref":"#/components/schemas/bbox"}}},"bbox":{"description":"A single bounding box that describe the spatial extent of the dataset.\n\nIf multiple areas are provided, the union of the bounding boxes describes the spatial extent.\n","type":"array","minItems":1,"items":{"description":"West, south, east, north edges of the bounding box.\n\nThe coordinates are in the coordinate reference system \"WGS84\" longitude/latitude.\n\n4 coordinates: longitude, latitude, longitude, latitude.\n","type":"array","minItems":4,"maxItems":4,"items":{"type":"number"},"example":[7.01,50.63,7.22,50.78]}},"crs":{"description":"Coordinate reference system of the coordinates in the spatial extent (property `bbox`).\n\nThe reference system we use is WGS 84 longitude/latitude.\n","type":"string","enum":["http://www.opengis.net/def/crs/OGC/1.3/CRS84"],"default":"http://www.opengis.net/def/crs/OGC/1.3/CRS84"},"3dcontainer":{"title":"3D-Container","description":"The 3D Data Container and Tiles API. Its characteristic resource is a 3DContainer.\nThe most general definition of a 3D-Container (3DC) is that it is a spatial information resource that has a distinct bounding volume, a (required) enclosing bounding box (2D / 3D), contains at most one 3D model dataset which is relevant to that volume (items, content) and represented by references to one or more distributions, and includes or references other 3D-Containers (children) whose bounding volumes are fully contained by the parent container’s bounding volume. The default representations of a 3D-Container are json / html information documents which define the bounding box, link to an implicit tileset scheme if applicable and provide the described links.\n","type":"object","required":["id","extent","links"],"properties":{"id":{"type":"string","description":"Identifier (name) of a specific 3D Container"},"title":{"type":"string","description":"Title of a specific 3D Container","example":"3D-Container Collection Information Schema"},"description":{"type":"string","description":"Detailed description of a specific 3D Container","example":"This schema defines metadata resource returned from /collections/{collectionId} for a collection type of 3d-container\n"},"collectionType":{"type":"string","description":"Property with value \"3d-container\" is required.\n","default":"3d-container"},"itemType":{"type":"string","description":"Indicator about the type of the items in the collection (the default value is 'unknown').\n","default":"unknown"},"extent":{"$ref":"#/components/schemas/extent"},"crs":{"$ref":"#/components/schemas/crs"},"links":{"type":"array","items":{"$ref":"#/components/schemas/link"},"example":[{"href":"http://data.example.org/collections.json","rel":"self","type":"application/json","title":"this document"},{"href":"http://data.example.org/collections.html","rel":"alternate","type":"text/html","title":"this document as HTML"}],"description":"Array members in the \"links\" property must include \"self\", and may include:\n- \"items\" (for compatibility with a common collection type),\n- \"parent\" (link to enclosing 3D-Container),\n- \"root\" (link to top-level 3D-Container),\n- \"scheme\" link to the definition of any implicit tile scheme which sets the 3Container organization, extent and/or addressing,\n"},"children":{"type":"array","description":"A \"children\" property with an array of zero or more \"child\" 3D-Containers is require (could be just the required properties: id, self-link, extent).\n","items":{"$ref":"#/components/schemas/3dcontainer"}},"content":{"type":"array","items":{"$ref":"#/components/schemas/link"}}}},"collections":{"type":"object","title":"Collections","properties":{"links":{"type":"array","items":{"$ref":"#/components/schemas/link"}},"collections":{"type":"array","items":{"$ref":"#/components/schemas/3dcontainer"}}}},"rel":{"title":"Link Relation Type","description":"The relationship between the current JSON resource representation and a related JSON resource.  The provided enumeration is provided as an example.  Other relationship types are possible.\n","type":"string","enum":["affinemap","alternate","collections","conformance","data","dataset","describedBy","distribution","item","items","original","parent","root","scheme","self","service","service-desc"]},"type":{"type":"string","enum":["application/json","application/json-3dtiles","application/json-i3s","application/openapi+json;version=3.0","application/json+3dtiles","application/json+quantizedmesh","text/html"]}}}}